"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Tip_1 = require("@/component/tip/Tip");
var i18n_1 = require("@/locale/i18n");
var copy_svg_1 = require("@/assets/images/copy.svg");
var delete_svg_1 = require("@/assets/images/delete.svg");
var note_svg_1 = require("@/assets/images/note.svg");
var hooks_1 = require("preact/hooks");
var Colors_1 = require("@/component/Colors");
require("@/component/light/light-node.scss");
function LightActionBar(_a) {
    var step = _a.step, colors = _a.colors;
    var data = step.data;
    var _b = (0, hooks_1.useState)(false), copied = _b[0], setCopy = _b[1];
    var _c = (0, hooks_1.useState)(step.data.bg), currentColor = _c[0], setCurrentColor = _c[1];
    var copyHightlight = function () {
        setCopy(true);
        setTimeout(function () {
            setCopy(false);
        }, 3000);
    };
    function onchangeColor(color) {
        setCurrentColor(color);
        step.data.bg = color;
    }
    return (React.createElement("pagenote-light-actions", null,
        React.createElement(Tip_1.default, { inner: true, message: i18n_1.default.t(copied ? 'copied' : 'copy_keyword_annotation') },
            React.createElement("pagenote-icon", { onClick: function () { step.copyToClipboard(false); copyHightlight(); }, onDblClick: function () { step.copyToClipboard(true); copyHightlight(); } },
                React.createElement(copy_svg_1.default, { fill: currentColor, width: 20, height: 20 }))),
        React.createElement(Tip_1.default, { inner: true, message: i18n_1.default.t('comment') },
            React.createElement("pagenote-icon", { onClick: function () {
                    step.openEditor();
                } },
                React.createElement(note_svg_1.default, { fill: currentColor, width: 20, height: 20 }))),
        React.createElement(Tip_1.default, { inner: true, message: i18n_1.default.t('remove_marks') },
            React.createElement("pagenote-icon", null,
                React.createElement(delete_svg_1.default, { width: 20, height: 20, fill: currentColor, onClick: function () { step.delete(); } }))),
        React.createElement(Tip_1.default, { inner: true, message: i18n_1.default.t('change_color') },
            React.createElement(Colors_1.default, { colors: colors, current: currentColor, selectColor: onchangeColor }))));
}
exports.default = LightActionBar;
//# sourceMappingURL=LightActionBar.js.map